//---------------------------------------------------------------------------
#ifndef serialH
#define serialH

#include "typedefs.h"

bool Serial_Open(char *port, dword baud_rate, bool no_cts);
bool Serial_SetTimeouts(dword rx_tout, dword tx_tout);
bool Serial_Config(dword baud_rate, bool no_cts);
bool Serial_Close(void);
bool Serial_Transmit(unsigned char *data, dword size);
bool Serial_ReceiveChar(unsigned char *c);
bool Serial_IsOpen(void);
dword Serial_GetBaudRate(void);

//---------------------------------------------------------------------------
#endif

